diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/stats/model/gnuplot.h ns-3.44/src/stats/model/gnuplot.h
--- ns-3.43/src/stats/model/gnuplot.h	2024-10-09 16:41:10.092656600 -0700
+++ ns-3.44/src/stats/model/gnuplot.h	2025-03-09 16:55:49.699372300 -0700
@@ -17,9 +17,9 @@
 {
 
 /**
- * \ingroup gnuplot
+ * @ingroup gnuplot
  *
- * \brief Abstract class to store a plot line to be used by ns3::Gnuplot.
+ * @brief Abstract class to store a plot line to be used by ns3::Gnuplot.
  *
  * This class contains a reference counted data object in m_data. The data
  * object contains different structs derived from struct Data by subclasses.
@@ -29,7 +29,7 @@
   public:
     /**
      * Reference-counting copy constructor.
-     * \param original Original GnuPlotDataset
+     * @param original Original GnuPlotDataset
      */
     GnuplotDataset(const GnuplotDataset& original);
 
@@ -40,30 +40,30 @@
 
     /**
      * Reference-counting assignment operator.
-     * \param original Right-hand side of assignment operator
-     * \return Copy of original GnuplotDataset
+     * @param original Right-hand side of assignment operator
+     * @return Copy of original GnuplotDataset
      */
     GnuplotDataset& operator=(const GnuplotDataset& original);
 
     /**
-     * \brief Change line title.
-     * \param title the new title string to use for this dataset.
+     * @brief Change line title.
+     * @param title the new title string to use for this dataset.
      *
-     * \note If you want your title to contain a newline character,
+     * @note If you want your title to contain a newline character,
      *       escape it like this:  "First line\\nSecond line" so that
      *       it is converted to "First line\nSecond line" in the plot file.
      */
     void SetTitle(const std::string& title);
 
     /**
-     * \brief Change extra formatting style parameters for newly created objects.
-     * \param extra       extra formatting
+     * @brief Change extra formatting style parameters for newly created objects.
+     * @param extra       extra formatting
      */
     static void SetDefaultExtra(const std::string& extra);
 
     /**
-     * \brief Add extra formatting parameters to this dataset.
-     * \param extra       extra formatting
+     * @brief Add extra formatting parameters to this dataset.
+     * @param extra       extra formatting
      */
     void SetExtra(const std::string& extra);
 
@@ -73,18 +73,18 @@
     friend class Gnuplot;
 
     /**
-     * \brief Extra gnuplot parameters set on every newly created dataset.
+     * @brief Extra gnuplot parameters set on every newly created dataset.
      */
     static std::string m_defaultExtra;
 
     /**
-     * \brief Derived classes subclass this struct and add their own data fields.
+     * @brief Derived classes subclass this struct and add their own data fields.
      */
     struct Data;
 
     /**
      * Called by constructors of derived classes.
-     * \param data the reference counted data object representing this dataset.
+     * @param data the reference counted data object representing this dataset.
      */
     GnuplotDataset(Data* data);
 
@@ -95,10 +95,10 @@
 };
 
 /**
- * \ingroup gnuplot
+ * @ingroup gnuplot
  *
- * \class Gnuplot2dDataset
- * \brief Class to represent a 2D points plot. Set the line or points style
+ * @class Gnuplot2dDataset
+ * @brief Class to represent a 2D points plot. Set the line or points style
  * using SetStyle() and set points using Add().
  */
 class Gnuplot2dDataset : public GnuplotDataset
@@ -131,7 +131,7 @@
     };
 
     /**
-     * \param title the title to be associated to this dataset (default "Untitled").
+     * @param title the title to be associated to this dataset (default "Untitled").
      *
      * Create an empty dataset. Usually, the dataset's title is
      * displayed in the legend box.
@@ -140,23 +140,23 @@
 
     /**
      * Change default style for all newly created objects.
-     * \param style the style of plotting to use for newly created datasets.
+     * @param style the style of plotting to use for newly created datasets.
      */
     static void SetDefaultStyle(Style style);
 
     /**
-     * \param style the style of plotting to use for this dataset.
+     * @param style the style of plotting to use for this dataset.
      */
     void SetStyle(Style style);
 
     /**
      * Change default errorbars style for all newly created objects.
-     * \param errorBars the style of errorbars to use for newly created datasets.
+     * @param errorBars the style of errorbars to use for newly created datasets.
      */
     static void SetDefaultErrorBars(ErrorBars errorBars);
 
     /**
-     * \param errorBars the style of errorbars to display.
+     * @param errorBars the style of errorbars to display.
      *
      * If you use any style other than none, you need
      * to make sure you store the delta information in
@@ -166,27 +166,27 @@
     void SetErrorBars(ErrorBars errorBars);
 
     /**
-     * \param x x coord to new data point
-     * \param y y coord to new data point
+     * @param x x coord to new data point
+     * @param y y coord to new data point
      *
      * Use this method with error bar style NONE.
      */
     void Add(double x, double y);
 
     /**
-     * \param x x coord to new data point
-     * \param y y coord to new data point
-     * \param errorDelta x and y data point uncertainty
+     * @param x x coord to new data point
+     * @param y y coord to new data point
+     * @param errorDelta x and y data point uncertainty
      *
      * Use this method with error bar style X or Y.
      */
     void Add(double x, double y, double errorDelta);
 
     /**
-     * \param x x coord to new data point
-     * \param y y coord to new data point
-     * \param xErrorDelta x data point uncertainty
-     * \param yErrorDelta y data point uncertainty
+     * @param x x coord to new data point
+     * @param y y coord to new data point
+     * @param xErrorDelta x data point uncertainty
+     * @param yErrorDelta y data point uncertainty
      *
      * Use this method with error bar style XY.
      */
@@ -222,9 +222,9 @@
 };
 
 /**
- * \ingroup gnuplot
+ * @ingroup gnuplot
  *
- * \brief Class to represent a 2D function expression plot.
+ * @brief Class to represent a 2D function expression plot.
  *
  * Since the function expression is not escaped, styles and extras could just
  * as well be included in the expression string.
@@ -233,8 +233,8 @@
 {
   public:
     /**
-     * \param title the title to be associated to this dataset.
-     * \param function function to plot
+     * @param title the title to be associated to this dataset.
+     * @param function function to plot
      *
      * Create an function dataset. Usually, the dataset's title is displayed in
      * the legend box.
@@ -242,7 +242,7 @@
     Gnuplot2dFunction(const std::string& title = "Untitled", const std::string& function = "");
 
     /**
-     * \param function new function string to set
+     * @param function new function string to set
      */
     void SetFunction(const std::string& function);
 
@@ -252,16 +252,16 @@
 };
 
 /**
- * \ingroup gnuplot
+ * @ingroup gnuplot
  *
- * \brief Class to represent a 3D points plot. Set the line or points style
+ * @brief Class to represent a 3D points plot. Set the line or points style
  * using SetStyle() and set points using Add().
  */
 class Gnuplot3dDataset : public GnuplotDataset
 {
   public:
     /**
-     * \param title the title to be associated to this dataset.
+     * @param title the title to be associated to this dataset.
      *
      * Create an empty dataset. Usually, the dataset's title is
      * displayed in the legend box.
@@ -270,19 +270,19 @@
 
     /**
      * Change default style for all newly created objects.
-     * \param style the style of plotting to use for newly created datasets.
+     * @param style the style of plotting to use for newly created datasets.
      */
     static void SetDefaultStyle(const std::string& style);
 
     /**
-     * \param style the style of plotting to use for this dataset.
+     * @param style the style of plotting to use for this dataset.
      */
     void SetStyle(const std::string& style);
 
     /**
-     * \param x x coord to new data point
-     * \param y y coord to new data point
-     * \param z z coord to new data point
+     * @param x x coord to new data point
+     * @param y y coord to new data point
+     * @param z z coord to new data point
      *
      * Use this method to add a new 3D point
      */
@@ -316,9 +316,9 @@
 };
 
 /**
- * \ingroup gnuplot
+ * @ingroup gnuplot
  *
- * \brief Class to represent a 3D function expression plot.
+ * @brief Class to represent a 3D function expression plot.
  *
  * Since the function expression is not escaped, styles and extras could just as
  * well be included in the expression string. The only difference to
@@ -328,8 +328,8 @@
 {
   public:
     /**
-     * \param title the title to be associated to this dataset.
-     * \param function function to plot
+     * @param title the title to be associated to this dataset.
+     * @param function function to plot
      *
      * Create an function dataset. Usually, the dataset's title is displayed in
      * the legend box.
@@ -337,7 +337,7 @@
     Gnuplot3dFunction(const std::string& title = "Untitled", const std::string& function = "");
 
     /**
-     * \param function new function string to set
+     * @param function new function string to set
      */
     void SetFunction(const std::string& function);
 
@@ -347,9 +347,9 @@
 };
 
 /**
- * \ingroup gnuplot
+ * @ingroup gnuplot
  *
- * \brief a simple class to generate gnuplot-ready plotting commands
+ * @brief a simple class to generate gnuplot-ready plotting commands
  *        from a set of datasets.
  *
  * This class really represents a single graph on which multiple datasets
@@ -359,15 +359,15 @@
 {
   public:
     /**
-     * \param outputFilename the name of the file where the rendering of the
+     * @param outputFilename the name of the file where the rendering of the
      *        graph will be generated if you feed the command stream output by
      *        Gnuplot::GenerateOutput to the gnuplot program.
-     * \param title title line of the plot page
+     * @param title title line of the plot page
      */
     Gnuplot(const std::string& outputFilename = "", const std::string& title = "");
 
     /**
-     * \param outputFilename the name of the file where the rendering of the
+     * @param outputFilename the name of the file where the rendering of the
      *        graph will be generated if you feed the command stream output by
      *        Gnuplot::GenerateOutput to the gnuplot program.
      */
@@ -376,71 +376,71 @@
     /**
      * Crude attempt to auto-detect the correct terminal setting by inspecting
      * the filename's extension.
-     * \param filename output filename
-     * \return File extension of the provided filename
+     * @param filename output filename
+     * @return File extension of the provided filename
      */
     static std::string DetectTerminal(const std::string& filename);
 
     /**
-     * \param terminal terminal setting string for output. The default terminal
+     * @param terminal terminal setting string for output. The default terminal
      * string is "png"
      */
     void SetTerminal(const std::string& terminal);
 
     /**
-     * \param title set new plot title string to use for this plot.
+     * @param title set new plot title string to use for this plot.
      */
     void SetTitle(const std::string& title);
 
     /**
-     * \param xLegend the legend for the x horizontal axis
-     * \param yLegend the legend for the y vertical axis
+     * @param xLegend the legend for the x horizontal axis
+     * @param yLegend the legend for the y vertical axis
      */
     void SetLegend(const std::string& xLegend, const std::string& yLegend);
 
     /**
-     * \param extra set extra gnuplot directive for output.
+     * @param extra set extra gnuplot directive for output.
      */
     void SetExtra(const std::string& extra);
 
     /**
-     * \param extra append extra gnuplot directive for output.
+     * @param extra append extra gnuplot directive for output.
      */
     void AppendExtra(const std::string& extra);
 
     /**
-     * \param dataset add a dataset to the graph to be plotted.
+     * @param dataset add a dataset to the graph to be plotted.
      */
     void AddDataset(const GnuplotDataset& dataset);
 
     /**
-     * \param os the output stream on which the relevant gnuplot
+     * @param os the output stream on which the relevant gnuplot
      * commands should be generated. Including output file and terminal
      * headers.
      *
-     * \brief Writes gnuplot commands and data values to a single
+     * @brief Writes gnuplot commands and data values to a single
      * output stream.
      */
     void GenerateOutput(std::ostream& os);
 
     /**
-     * \param osControl the output stream on which the relevant gnuplot
+     * @param osControl the output stream on which the relevant gnuplot
      * control commands should be generated. Including output file and
      * terminal headers.
-     * \param osData the output stream on which the relevant gnuplot
+     * @param osData the output stream on which the relevant gnuplot
      * data values should be generated.
-     * \param dataFileName the name for the data file that will be
+     * @param dataFileName the name for the data file that will be
      * written.
      *
-     * \brief Writes gnuplot commands and data values to two
+     * @brief Writes gnuplot commands and data values to two
      * different outputs streams.
      */
     void GenerateOutput(std::ostream& osControl, std::ostream& osData, std::string dataFileName);
 
     /**
-     * \param index the index for the data stream in the data file.
+     * @param index the index for the data stream in the data file.
      *
-     * \brief Sets the current data stream index in the data file.
+     * @brief Sets the current data stream index in the data file.
      */
     void SetDataFileDatasetIndex(unsigned int index);
 
@@ -464,52 +464,52 @@
 };
 
 /**
- * \ingroup gnuplot
+ * @ingroup gnuplot
  *
- * \brief a simple class to group together multiple gnuplots into one file,
+ * @brief a simple class to group together multiple gnuplots into one file,
  * e.g. for PDF multi-page output terminals.
  */
 class GnuplotCollection
 {
   public:
     /**
-     * \param outputFilename the name of the file where the rendering of the
+     * @param outputFilename the name of the file where the rendering of the
      *        graph will be generated if you feed the command stream output by
      *        GnuplotCollection::GenerateOutput to the gnuplot program.
      */
     GnuplotCollection(const std::string& outputFilename);
 
     /**
-     * \param terminal terminal setting string for output. The default terminal
+     * @param terminal terminal setting string for output. The default terminal
      * string is guessed from the output filename's extension.
      */
     void SetTerminal(const std::string& terminal);
 
     /**
-     * \param plot add a plot to the collection to be plotted.
+     * @param plot add a plot to the collection to be plotted.
      */
     void AddPlot(const Gnuplot& plot);
 
     /**
      * Return a pointer to one of the added plots.
-     * \param id  index of plot to return
-     * \return    reference to plot, throws std::range_error if it does not exist.
+     * @param id  index of plot to return
+     * @return    reference to plot, throws std::range_error if it does not exist.
      */
     Gnuplot& GetPlot(unsigned int id);
 
     /**
-     * \param os the output stream on which the relevant gnuplot commands should
+     * @param os the output stream on which the relevant gnuplot commands should
      * be generated.
      */
     void GenerateOutput(std::ostream& os);
 
     /**
-     * \param osControl the output stream on which the relevant gnuplot
+     * @param osControl the output stream on which the relevant gnuplot
      * control commands should be generated. Including output file and
      * terminal headers.
-     * \param osData the output stream on which the relevant gnuplot
+     * @param osData the output stream on which the relevant gnuplot
      * data values should be generated.
-     * \param dataFileName the name for the data file that will be
+     * @param dataFileName the name for the data file that will be
      * written.
      */
     void GenerateOutput(std::ostream& osControl, std::ostream& osData, std::string dataFileName);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/stats/model/histogram.h ns-3.44/src/stats/model/histogram.h
--- ns-3.43/src/stats/model/histogram.h	2024-10-09 16:41:10.092656600 -0700
+++ ns-3.44/src/stats/model/histogram.h	2025-03-09 16:55:49.699372300 -0700
@@ -17,7 +17,7 @@
 {
 
 /**
- * \brief Class used to store data and make an histogram of the data frequency.
+ * @brief Class used to store data and make an histogram of the data frequency.
  *
  * Data are grouped in "bins", i.e., intervals. Each value is assigned to the
  * bin according to the following formula: floor(value/binWidth).
@@ -25,9 +25,9 @@
  *
  * This class only handles \a positive bins, i.e., it does \a not handles negative data.
  *
- * \todo Add support for negative data.
+ * @todo Add support for negative data.
  *
- * \todo Add method(s) to estimate parameters from the histogram,
+ * @todo Add method(s) to estimate parameters from the histogram,
  * see http://www.dspguide.com/ch2/4.htm
  *
  */
@@ -36,58 +36,58 @@
   public:
     // --- basic methods ---
     /**
-     * \brief Constructor
-     * \param binWidth width of the histogram "bin".
+     * @brief Constructor
+     * @param binWidth width of the histogram "bin".
      */
     Histogram(double binWidth);
     Histogram();
 
     // Methods for Getting the Histogram Results
     /**
-     * \brief Returns the number of bins in the histogram.
-     * \return the number of bins in the histogram
+     * @brief Returns the number of bins in the histogram.
+     * @return the number of bins in the histogram
      */
     uint32_t GetNBins() const;
     /**
-     * \brief Returns the bin start, i.e., index*binWidth
-     * \param index the bin index
-     * \return the bin start
+     * @brief Returns the bin start, i.e., index*binWidth
+     * @param index the bin index
+     * @return the bin start
      */
     double GetBinStart(uint32_t index) const;
     /**
-     * \brief Returns the bin end, i.e., (index+1)*binWidth
-     * \param index the bin index
-     * \return the bin start
+     * @brief Returns the bin end, i.e., (index+1)*binWidth
+     * @param index the bin index
+     * @return the bin start
      */
     double GetBinEnd(uint32_t index) const;
     /**
-     * \brief Returns the bin width.
+     * @brief Returns the bin width.
      *
      * Note that all the bins have the same width.
      *
-     * \param index the bin index
-     * \return the bin width
+     * @param index the bin index
+     * @return the bin width
      */
     double GetBinWidth(uint32_t index) const;
     /**
-     * \brief Set the bin width.
+     * @brief Set the bin width.
      *
      * Note that you can change the bin width only if the histogram is empty.
      *
-     * \param binWidth the bin width
+     * @param binWidth the bin width
      */
     void SetDefaultBinWidth(double binWidth);
     /**
-     * \brief Get the number of data added to the bin.
-     * \param index the bin index
-     * \return the number of data added to the bin
+     * @brief Get the number of data added to the bin.
+     * @param index the bin index
+     * @return the number of data added to the bin
      */
     uint32_t GetBinCount(uint32_t index) const;
 
     // Method for adding values
     /**
-     * \brief Add a value to the histogram
-     * \param value the value to add
+     * @brief Add a value to the histogram
+     * @param value the value to add
      */
     void AddValue(double value);
 
@@ -97,10 +97,10 @@
     void Clear();
 
     /**
-     * \brief Serializes the results to an std::ostream in XML format.
-     * \param os the output stream
-     * \param indent number of spaces to use as base indentation level
-     * \param elementName name of the element to serialize.
+     * @brief Serializes the results to an std::ostream in XML format.
+     * @param os the output stream
+     * @param indent number of spaces to use as base indentation level
+     * @param elementName name of the element to serialize.
      */
     void SerializeToXmlStream(std::ostream& os, uint16_t indent, std::string elementName) const;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/stats/model/omnet-data-output.cc ns-3.44/src/stats/model/omnet-data-output.cc
--- ns-3.43/src/stats/model/omnet-data-output.cc	2024-10-09 16:41:10.092656600 -0700
+++ ns-3.44/src/stats/model/omnet-data-output.cc	2025-03-09 16:55:49.699372300 -0700
@@ -95,7 +95,7 @@
     std::string fn = m_filePrefix + "-" + dc.GetRunLabel() + ".sca";
     scalarFile.open(fn, std::ios_base::out);
 
-    /// \todo add timestamp to the runlevel
+    /// @todo add timestamp to the runlevel
     scalarFile << "run " << dc.GetRunLabel() << std::endl;
     scalarFile << "attr experiment \"" << dc.GetExperimentLabel() << "\"" << std::endl;
     scalarFile << "attr strategy \"" << dc.GetStrategyLabel() << "\"" << std::endl;
@@ -104,7 +104,7 @@
 
     for (auto i = dc.MetadataBegin(); i != dc.MetadataEnd(); i++)
     {
-        std::pair<std::string, std::string> blob = (*i);
+        const auto& blob = (*i);
         scalarFile << "attr \"" << blob.first << "\" \"" << blob.second << "\"" << std::endl;
     }
 
@@ -115,7 +115,7 @@
     }
     for (auto i = dc.MetadataBegin(); i != dc.MetadataEnd(); i++)
     {
-        std::pair<std::string, std::string> blob = (*i);
+        const auto& blob = (*i);
         if (isNumeric(blob.second))
         {
             scalarFile << "scalar . \"" << blob.first << "\" \"" << blob.second << "\""
@@ -157,31 +157,31 @@
         name = "\"\"";
     }
     (*m_scalar) << "statistic " << context << " " << name << std::endl;
-    if (!isNaN(statSum->getCount()))
+    if (!std::isnan(statSum->getCount()))
     {
         (*m_scalar) << "field count " << statSum->getCount() << std::endl;
     }
-    if (!isNaN(statSum->getSum()))
+    if (!std::isnan(statSum->getSum()))
     {
         (*m_scalar) << "field sum " << statSum->getSum() << std::endl;
     }
-    if (!isNaN(statSum->getMean()))
+    if (!std::isnan(statSum->getMean()))
     {
         (*m_scalar) << "field mean " << statSum->getMean() << std::endl;
     }
-    if (!isNaN(statSum->getMin()))
+    if (!std::isnan(statSum->getMin()))
     {
         (*m_scalar) << "field min " << statSum->getMin() << std::endl;
     }
-    if (!isNaN(statSum->getMax()))
+    if (!std::isnan(statSum->getMax()))
     {
         (*m_scalar) << "field max " << statSum->getMax() << std::endl;
     }
-    if (!isNaN(statSum->getSqrSum()))
+    if (!std::isnan(statSum->getSqrSum()))
     {
         (*m_scalar) << "field sqrsum " << statSum->getSqrSum() << std::endl;
     }
-    if (!isNaN(statSum->getStddev()))
+    if (!std::isnan(statSum->getStddev()))
     {
         (*m_scalar) << "field stddev " << statSum->getStddev() << std::endl;
     }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/stats/model/omnet-data-output.h ns-3.44/src/stats/model/omnet-data-output.h
--- ns-3.43/src/stats/model/omnet-data-output.h	2024-10-09 16:41:10.092656600 -0700
+++ ns-3.44/src/stats/model/omnet-data-output.h	2025-03-09 16:55:49.699372300 -0700
@@ -19,9 +19,9 @@
 //------------------------------------------------------------
 //--------------------------------------------
 /**
- * \ingroup dataoutput
- * \class OmnetDataOutput
- * \brief Outputs data in a format compatible with OMNeT library and framework
+ * @ingroup dataoutput
+ * @class OmnetDataOutput
+ * @brief Outputs data in a format compatible with OMNeT library and framework
  *
  */
 class OmnetDataOutput : public DataOutputInterface
@@ -32,7 +32,7 @@
 
     /**
      * Register this type.
-     * \return The TypeId.
+     * @return The TypeId.
      */
     static TypeId GetTypeId();
 
@@ -43,66 +43,66 @@
 
   private:
     /**
-     * \ingroup dataoutput
+     * @ingroup dataoutput
      *
-     * \brief Class to generate OMNeT output
+     * @brief Class to generate OMNeT output
      */
     class OmnetOutputCallback : public DataOutputCallback
     {
       public:
         /**
          * Constructor
-         * \param scalar the output stream
+         * @param scalar the output stream
          */
         OmnetOutputCallback(std::ostream* scalar);
 
         /**
-         * \brief Generates data statistics
-         * \param context the output context
-         * \param name the output name
-         * \param statSum the stats to print
+         * @brief Generates data statistics
+         * @param context the output context
+         * @param name the output name
+         * @param statSum the stats to print
          */
         void OutputStatistic(std::string context,
                              std::string name,
                              const StatisticalSummary* statSum) override;
 
         /**
-         * \brief Generates a single data output
-         * \param context the output context
-         * \param name the output name
-         * \param val the value
+         * @brief Generates a single data output
+         * @param context the output context
+         * @param name the output name
+         * @param val the value
          */
         void OutputSingleton(std::string context, std::string name, int val) override;
 
         /**
-         * \brief Generates a single data output
-         * \param context the output context
-         * \param name the output name
-         * \param val the value
+         * @brief Generates a single data output
+         * @param context the output context
+         * @param name the output name
+         * @param val the value
          */
         void OutputSingleton(std::string context, std::string name, uint32_t val) override;
 
         /**
-         * \brief Generates a single data output
-         * \param context the output context
-         * \param name the output name
-         * \param val the value
+         * @brief Generates a single data output
+         * @param context the output context
+         * @param name the output name
+         * @param val the value
          */
         void OutputSingleton(std::string context, std::string name, double val) override;
 
         /**
-         * \brief Generates a single data output
-         * \param context the output context
-         * \param name the output name
-         * \param val the value
+         * @brief Generates a single data output
+         * @param context the output context
+         * @param name the output name
+         * @param val the value
          */
         void OutputSingleton(std::string context, std::string name, std::string val) override;
 
         /**
-         * \brief Generates a single data output
-         * \param context the output context
-         * \param name the output name
-         * \param val the value
+         * @brief Generates a single data output
+         * @param context the output context
+         * @param name the output name
+         * @param val the value
          */
         void OutputSingleton(std::string context, std::string name, Time val) override;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/stats/model/probe.cc ns-3.44/src/stats/model/probe.cc
--- ns-3.43/src/stats/model/probe.cc	2024-10-09 16:41:10.092656600 -0700
+++ ns-3.44/src/stats/model/probe.cc	2025-03-09 16:55:49.699372300 -0700
@@ -54,7 +54,7 @@
 Probe::IsEnabled() const
 {
     return (DataCollectionObject::IsEnabled() && Simulator::Now() >= m_start &&
-            (m_stop == Seconds(0) || Simulator::Now() < m_stop));
+            (m_stop.IsZero() || Simulator::Now() < m_stop));
 }
 
 } // namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/stats/model/probe.h ns-3.44/src/stats/model/probe.h
--- ns-3.43/src/stats/model/probe.h	2024-10-09 16:41:10.092656600 -0700
+++ ns-3.44/src/stats/model/probe.h	2025-03-09 16:55:49.699372300 -0700
@@ -18,7 +18,7 @@
 {
 
 /**
- * \ingroup probes
+ * @ingroup probes
  *
  * Base class for probes.
  *
@@ -30,31 +30,31 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     Probe();
     ~Probe() override;
 
     /**
-     * \return true if Probe is currently enabled
+     * @return true if Probe is currently enabled
      */
     bool IsEnabled() const override;
 
     /**
-     * \brief connect to a trace source attribute provided by a given object
+     * @brief connect to a trace source attribute provided by a given object
      *
-     * \param traceSource the name of the attribute TraceSource to connect to
-     * \param obj ns3::Object to connect to
-     * \return true if the trace source was successfully connected
+     * @param traceSource the name of the attribute TraceSource to connect to
+     * @param obj ns3::Object to connect to
+     * @return true if the trace source was successfully connected
      */
     virtual bool ConnectByObject(std::string traceSource, Ptr<Object> obj) = 0;
 
     /**
-     * \brief connect to a trace source provided by a config path
+     * @brief connect to a trace source provided by a config path
      *
-     * \param path Config path to bind to
+     * @param path Config path to bind to
      *
      * Note, if an invalid path is provided, the probe will not be connected
      * to anything.
